OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
StepBasic

# StepBasic_OrdinalDate Class Reference

`#include <StepBasic_OrdinalDate.hxx>`

Inheritance diagram for StepBasic_OrdinalDate:

[legend]

## Public Member Functions
Standard_EXPORT | StepBasic_OrdinalDate ()
| Returns a OrdinalDate .
virtual Standard_EXPORT void | Init (const Standard_Integer aYearComponent)
virtual Standard_EXPORT void | Init (const Standard_Integer aYearComponent, const Standard_Integer aDayComponent)
Standard_EXPORT void | SetDayComponent (const Standard_Integer aDayComponent)
Standard_EXPORT Standard_Integer | DayComponent () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Standard_Integer | dayComponent

## Constructor & Destructor Documentation

Standard_EXPORT StepBasic_OrdinalDate::StepBasic_OrdinalDate | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Standard_Integer StepBasic_OrdinalDate::DayComponent | ( |  | ) | const

Standard_EXPORT const StepBasic_OrdinalDate::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepBasic_Date.

virtual Standard_EXPORT void StepBasic_OrdinalDate::Init | ( | const Standard_Integer | aYearComponent,
|  | const Standard_Integer | aDayComponent
| ) | `[virtual]`

virtual Standard_EXPORT void StepBasic_OrdinalDate::Init | ( | const Standard_Integer | aYearComponent | ) | `[virtual]`

| Reimplemented from StepBasic_Date.

Standard_EXPORT void StepBasic_OrdinalDate::SetDayComponent | ( | const Standard_Integer | aDayComponent | ) |

## Field Documentation

Standard_Integer StepBasic_OrdinalDate::dayComponent`[private]`

The documentation for this class was generated from the following file:

- StepBasic_OrdinalDate.hxx